Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225814 - fwts: FTBFS in Fedora rawhide/f39
Summary: fwts: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwts
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Berg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:40 UTC by Fedora Release Engineering
Modified: 2024-02-05 01:46 UTC (History)
1 user (show)

Fixed In Version: fwts-24.01.00-1.fc39 fwts-24.01.00-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-05 01:25:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:40 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:40 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:41 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:40:47 UTC
fwts failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103576189


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix fwts at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
fwts will be orphaned. Before branching of Fedora 40,
fwts will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:40:53 UTC
Created attachment 1977915 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 17:40:58 UTC
Created attachment 1977916 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:41:01 UTC
Created attachment 1977917 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:56:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2024-01-27 17:57:07 UTC
FEDORA-2024-46d7dd4595 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-46d7dd4595

Comment 6 Fedora Update System 2024-01-27 17:57:13 UTC
FEDORA-2024-8b0a5a19e9 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-8b0a5a19e9

Comment 7 Fedora Update System 2024-01-28 02:47:10 UTC
FEDORA-2024-8b0a5a19e9 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8b0a5a19e9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8b0a5a19e9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-01-28 02:53:43 UTC
FEDORA-2024-46d7dd4595 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-46d7dd4595`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-46d7dd4595

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-02-05 01:25:14 UTC
FEDORA-2024-8b0a5a19e9 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-02-05 01:46:17 UTC
FEDORA-2024-46d7dd4595 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.